image: ruby:2.3

before_script:
  - apt-get update -qq && apt-get install -y -qq libbluetooth-dev cmake

stages:
  - build
  - test

build_job:
  stage: build
  script:
    - bash ci-build.sh

# run tests using the binary built before
test_job:
  stage: test
  script:
    - bash ci-test.sh
